diff --git a/base/ca/shared/webapps/ca/agent/ca/cloneRedirect.template b/base/ca/shared/webapps/ca/agent/ca/cloneRedirect.template
index 0f1ad7812e335aba2ef92dbb98d393fa8ad9e53b..ac92f670db139f9900a1d6d4e34e933eac49ffaa 100644
--- a/base/ca/shared/webapps/ca/agent/ca/cloneRedirect.template
+++ b/base/ca/shared/webapps/ca/agent/ca/cloneRedirect.template
@@ -19,6 +19,12 @@
 <HTML>
 <HEAD><TITLE> Feature Unavailable to Clones</TITLE>
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 <BODY bgcolor="white">
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/agent/ca/confirmRevocation.template b/base/ca/shared/webapps/ca/agent/ca/confirmRevocation.template
index c1061affac70de0460647ed4ebff66b2561b0d22..450bee7dd833ac74e1545052c933307985e6954a 100644
--- a/base/ca/shared/webapps/ca/agent/ca/confirmRevocation.template
+++ b/base/ca/shared/webapps/ca/agent/ca/confirmRevocation.template
@@ -21,6 +21,12 @@
 <CMS_TEMPLATE>
 <TITLE>Certificate Revocation Confirmation</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript">
 //<!--
 function validate(form)
diff --git a/base/ca/shared/webapps/ca/agent/ca/displayBySerial.template b/base/ca/shared/webapps/ca/agent/ca/displayBySerial.template
index 0c7a904930b1543186d0234a75bf9b64436dd6e2..4c4b18e37b578d3d318e711fd3d0d24036513df7 100644
--- a/base/ca/shared/webapps/ca/agent/ca/displayBySerial.template
+++ b/base/ca/shared/webapps/ca/agent/ca/displayBySerial.template
@@ -21,6 +21,12 @@
    <title>Display Certificate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 
diff --git a/base/ca/shared/webapps/ca/agent/ca/displayBySerial2.template b/base/ca/shared/webapps/ca/agent/ca/displayBySerial2.template
index f0604ef7fc3a7a9ec4c1dd016f0652c507e204dd..a5bb4e4ec35034e4a1b49db923ee38ad003f47bf 100644
--- a/base/ca/shared/webapps/ca/agent/ca/displayBySerial2.template
+++ b/base/ca/shared/webapps/ca/agent/ca/displayBySerial2.template
@@ -21,6 +21,12 @@
    <title>Display Certificate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 
diff --git a/base/ca/shared/webapps/ca/agent/ca/displayCRL.template b/base/ca/shared/webapps/ca/agent/ca/displayCRL.template
index 988c6db51ff77147ec792476964aba14135e41ea..6843564cc413f763c4d2418081215905c0a84b3f 100644
--- a/base/ca/shared/webapps/ca/agent/ca/displayCRL.template
+++ b/base/ca/shared/webapps/ca/agent/ca/displayCRL.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT type="text/javascript">
 <!--
diff --git a/base/ca/shared/webapps/ca/agent/ca/displayCertFromRequest.template b/base/ca/shared/webapps/ca/agent/ca/displayCertFromRequest.template
index 402154037790343061dc4a711de0d0fba738dbf2..8aa303d4335f0573bc7207a6bb924af6d1339c0c 100644
--- a/base/ca/shared/webapps/ca/agent/ca/displayCertFromRequest.template
+++ b/base/ca/shared/webapps/ca/agent/ca/displayCertFromRequest.template
@@ -23,6 +23,12 @@
 CS Enroll Request Success
 </TITLE>
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script type="text/javascript">
 
 function navMajorVersion()
diff --git a/base/ca/shared/webapps/ca/agent/ca/error.template b/base/ca/shared/webapps/ca/agent/ca/error.template
index b1940a820fae70e90638652bcc0da6f6c9fd4766..f281f592fe28375bedf5ad3a64bda9bc9f264865 100644
--- a/base/ca/shared/webapps/ca/agent/ca/error.template
+++ b/base/ca/shared/webapps/ca/agent/ca/error.template
@@ -20,6 +20,12 @@
 <HEAD>
 <CMS_TEMPLATE>
 <TITLE>Certificate Service Error</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 <BODY bgcolor="white">
 <center><h2><b>Problem Processing Your Request</b></h2></center>
diff --git a/base/ca/shared/webapps/ca/agent/ca/getOCSPInfo.template b/base/ca/shared/webapps/ca/agent/ca/getOCSPInfo.template
index cfafd620841ea22bbedddcbbfc0bf18fa9e2eccc..7a17d6c82c2261cc15c1f35ce0bf45b608dd7b6b 100644
--- a/base/ca/shared/webapps/ca/agent/ca/getOCSPInfo.template
+++ b/base/ca/shared/webapps/ca/agent/ca/getOCSPInfo.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT type="text/javascript">
 <!--
diff --git a/base/ca/shared/webapps/ca/agent/ca/getStats.template b/base/ca/shared/webapps/ca/agent/ca/getStats.template
index 0af670816ec222ab04d6e8c67fcdb68e36add836..817d2fb0e5f6c158351acc51dc7775049e06d451 100644
--- a/base/ca/shared/webapps/ca/agent/ca/getStats.template
+++ b/base/ca/shared/webapps/ca/agent/ca/getStats.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT type="text/javascript">
 <!--
diff --git a/base/ca/shared/webapps/ca/agent/ca/index.jsp b/base/ca/shared/webapps/ca/agent/ca/index.jsp
index 9dc5799770b04d4c0b707bda589cf206f5203b47..2df53c7a22a9a880a01929932bf2b2b13f8ee1da 100644
--- a/base/ca/shared/webapps/ca/agent/ca/index.jsp
+++ b/base/ca/shared/webapps/ca/agent/ca/index.jsp
@@ -21,6 +21,12 @@
 <title>CA Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <link rel="shortcut icon" href="/pki/images/favicon.ico" />
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0" cols="*"> 
diff --git a/base/ca/shared/webapps/ca/agent/ca/monitor.template b/base/ca/shared/webapps/ca/agent/ca/monitor.template
index 73c3eb7360180d03a4a1e10a1f2971a4d32fcf4b..6dc07da3f05c875a66145fdee736d2b113a32281 100644
--- a/base/ca/shared/webapps/ca/agent/ca/monitor.template
+++ b/base/ca/shared/webapps/ca/agent/ca/monitor.template
@@ -19,6 +19,12 @@
 <HTML>
 <HEAD><TITLE>Monitor</TITLE>
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 <BODY bgcolor="white">
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/agent/ca/processCertReq.template b/base/ca/shared/webapps/ca/agent/ca/processCertReq.template
index 4d263fefd44f4e75a6cf9e376312ded196a42c59..c59233c71edc00e2ca10fb6bdc7a08f5df65b920 100644
--- a/base/ca/shared/webapps/ca/agent/ca/processCertReq.template
+++ b/base/ca/shared/webapps/ca/agent/ca/processCertReq.template
@@ -20,6 +20,12 @@
 <head>
 <TITLE></TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <CMS_TEMPLATE>
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/ca/processReq.template b/base/ca/shared/webapps/ca/agent/ca/processReq.template
index 172125e3869ce72103fb2a3c94fa6ac7ce9dc526..a25390534050fbcb0fd5629a9794ce8fca6d1a09 100644
--- a/base/ca/shared/webapps/ca/agent/ca/processReq.template
+++ b/base/ca/shared/webapps/ca/agent/ca/processReq.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display Request</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <SCRIPT type="text/javascript" SRC="/ca/agent/funcs.js"></SCRIPT>
diff --git a/base/ca/shared/webapps/ca/agent/ca/queryCert.template b/base/ca/shared/webapps/ca/agent/ca/queryCert.template
index 0a423823fe874253f5bff5fad44608eae471c401..61218e8b9257ca4892686713ff9d721be79f57d4 100644
--- a/base/ca/shared/webapps/ca/agent/ca/queryCert.template
+++ b/base/ca/shared/webapps/ca/agent/ca/queryCert.template
@@ -21,6 +21,13 @@
 <title>Query Certificate</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+
 <style type="text/css">
 
 .floating {
diff --git a/base/ca/shared/webapps/ca/agent/ca/queryReq.template b/base/ca/shared/webapps/ca/agent/ca/queryReq.template
index ed8285bb62a2dbf9b857927ebc77a2047b7409be..3e0e5fa2979c5786aaaafa6900e891aac74c32b4 100644
--- a/base/ca/shared/webapps/ca/agent/ca/queryReq.template
+++ b/base/ca/shared/webapps/ca/agent/ca/queryReq.template
@@ -21,6 +21,13 @@
    <title>Request Queue</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+
 <style type="text/css">
 
 .floating {
diff --git a/base/ca/shared/webapps/ca/agent/ca/reasonToRevoke.template b/base/ca/shared/webapps/ca/agent/ca/reasonToRevoke.template
index ffb648beb117a304a5b6382c129dade20fbb3a09..426d47a1b6fa8875a2debbf8bb70f789649f9830 100644
--- a/base/ca/shared/webapps/ca/agent/ca/reasonToRevoke.template
+++ b/base/ca/shared/webapps/ca/agent/ca/reasonToRevoke.template
@@ -21,6 +21,12 @@
 <CMS_TEMPLATE>
 <TITLE>Certificate Revocation Confirmation</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script type="text/javascript" SRC="/ca/agent/funcs.js"></script>
 <script type="text/javascript" SRC="/ca/agent/helpfun.js"></script>
 
diff --git a/base/ca/shared/webapps/ca/agent/ca/revocationResult.template b/base/ca/shared/webapps/ca/agent/ca/revocationResult.template
index bd356841dce4c4556bab1fcfc20fbf2eaaedf86a..0c07b3e22896d426d22293e5dfb37a3073d33cbd 100644
--- a/base/ca/shared/webapps/ca/agent/ca/revocationResult.template
+++ b/base/ca/shared/webapps/ca/agent/ca/revocationResult.template
@@ -20,6 +20,13 @@
 <HEAD>
 <TITLE>Revocation Result</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</HEAD>
 <CMS_TEMPLATE>
 <BODY bgcolor="white">
 <SCRIPT type="text/javascript">
diff --git a/base/ca/shared/webapps/ca/agent/ca/revokeBySerial.template b/base/ca/shared/webapps/ca/agent/ca/revokeBySerial.template
index cae2a93da2bf2cd591115ac1f6c03a91abe1321e..99bda94b090f437349dfc0eadf7887680a8957b2 100644
--- a/base/ca/shared/webapps/ca/agent/ca/revokeBySerial.template
+++ b/base/ca/shared/webapps/ca/agent/ca/revokeBySerial.template
@@ -17,7 +17,15 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
-<HEAD><TITLE> Certificate Revocation Result </TITLE></HEAD>
+<HEAD>
+<TITLE> Certificate Revocation Result </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</HEAD>
 <CMS_TEMPLATE>
 <BODY bgcolor="white">
 <center><h2><b> Certificate Revocation Result</b></h2></center>
diff --git a/base/ca/shared/webapps/ca/agent/ca/srchCert.template b/base/ca/shared/webapps/ca/agent/ca/srchCert.template
index 001b0e3b5bde043997b6bdb4e1e12f3e10e87526..abbeae9a48154ad6e39fe7bf6aeb14a64d25dde2 100644
--- a/base/ca/shared/webapps/ca/agent/ca/srchCert.template
+++ b/base/ca/shared/webapps/ca/agent/ca/srchCert.template
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#FFFFFF" link="#000000" vlink="#000000" alink="#000000">
diff --git a/base/ca/shared/webapps/ca/agent/ca/toDisplayCRL.template b/base/ca/shared/webapps/ca/agent/ca/toDisplayCRL.template
index a2a30dd644b35279694bb5528786f3f6d01edf77..49bb9267bf98910c6b94ec55c46ec9e433afcb73 100644
--- a/base/ca/shared/webapps/ca/agent/ca/toDisplayCRL.template
+++ b/base/ca/shared/webapps/ca/agent/ca/toDisplayCRL.template
@@ -21,6 +21,12 @@
 <TITLE>Display Certificate Revocation List</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript" SRC="/ca/agent/helpfun.js"></SCRIPT>
 <CMS_TEMPLATE>
 
diff --git a/base/ca/shared/webapps/ca/agent/ca/toUpdateCRL.template b/base/ca/shared/webapps/ca/agent/ca/toUpdateCRL.template
index 8f7e1990c8ac1f14c250a65c60d2776b76e09c19..03cf05f3375dc132e7bf7570d8e4f4f15b8de37a 100644
--- a/base/ca/shared/webapps/ca/agent/ca/toUpdateCRL.template
+++ b/base/ca/shared/webapps/ca/agent/ca/toUpdateCRL.template
@@ -21,6 +21,12 @@
 <TITLE>Update Certificate Revocation List</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT type="text/javascript" SRC="/ca/agent/helpfun.js"></SCRIPT>
  </HEAD>
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/agent/ca/unrevocationResult.template b/base/ca/shared/webapps/ca/agent/ca/unrevocationResult.template
index 8080ce0d2932e5b4adfaa3fdecba719bc445bac9..50d20898c99a8db7fe25ffbc3a38a0b151b78295 100644
--- a/base/ca/shared/webapps/ca/agent/ca/unrevocationResult.template
+++ b/base/ca/shared/webapps/ca/agent/ca/unrevocationResult.template
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE></TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
 </HEAD>
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/ca/updateCRL.template b/base/ca/shared/webapps/ca/agent/ca/updateCRL.template
index 2b05486b4fdf8ada508c1ff7f6f9050f93126562..d7b1f91a7a858f1e94eb441b9ac00de295112054 100644
--- a/base/ca/shared/webapps/ca/agent/ca/updateCRL.template
+++ b/base/ca/shared/webapps/ca/agent/ca/updateCRL.template
@@ -17,7 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
-<HEAD><TITLE> Update Certificate Revocation List </TITLE>
+<HEAD>
+<TITLE> Update Certificate Revocation List </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
 </HEAD>
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/ca/updateDir.template b/base/ca/shared/webapps/ca/agent/ca/updateDir.template
index 942db568d59991aa05775bc5772b369a4c2a1f59..7bfc1c8c504936f8bbd2058ae611beeb8f51e77c 100644
--- a/base/ca/shared/webapps/ca/agent/ca/updateDir.template
+++ b/base/ca/shared/webapps/ca/agent/ca/updateDir.template
@@ -17,7 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
-<HEAD><TITLE> Update Directory Server Results </TITLE>
+<HEAD>
+<TITLE> Update Directory Server Results </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
 </HEAD>
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/header.template b/base/ca/shared/webapps/ca/agent/header.template
index 5157c2f11763b577b5ad98c4b9374ea38be5a50e..60341ab6107de8e823c6d118ad5de91601cae2b0 100644
--- a/base/ca/shared/webapps/ca/agent/header.template
+++ b/base/ca/shared/webapps/ca/agent/header.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/agent/index.jsp b/base/ca/shared/webapps/ca/agent/index.jsp
index 30662d47aa6a0c3f7aafc03acf16b02cf2ac93bf..eae2da3c25ffaac82c434a5ef5137d9c3d635138 100644
--- a/base/ca/shared/webapps/ca/agent/index.jsp
+++ b/base/ca/shared/webapps/ca/agent/index.jsp
@@ -16,8 +16,16 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     // redirect to 'ROOT'
     window.location = "/";
 </script>
+</head>
 </html>
diff --git a/base/ca/shared/webapps/ca/agent/index.template b/base/ca/shared/webapps/ca/agent/index.template
index 1213fdb2580e32bd6b5c475a35fac120a60d99b6..f3aa1e002a49884b5841ce23f3a738fc762474eb 100644
--- a/base/ca/shared/webapps/ca/agent/index.template
+++ b/base/ca/shared/webapps/ca/agent/index.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/agent/ports.template b/base/ca/shared/webapps/ca/agent/ports.template
index a8efaf7a50bad85e5594ba4ee3779d3903a2d09a..37a3b8b732e4e1802715aa75fd5d2d93ee975dfb 100644
--- a/base/ca/shared/webapps/ca/agent/ports.template
+++ b/base/ca/shared/webapps/ca/agent/ports.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/ee/GenError.template b/base/ca/shared/webapps/ca/ee/GenError.template
index 729525afd444e7621a7e7fb235fe97d6623406b6..b0a426c340614fda61e6808568ea04c832dcf926 100644
--- a/base/ca/shared/webapps/ca/ee/GenError.template
+++ b/base/ca/shared/webapps/ca/ee/GenError.template
@@ -17,9 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Processing Error!</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY BGCOLOR="white">
 
diff --git a/base/ca/shared/webapps/ca/ee/GenPending.template b/base/ca/shared/webapps/ca/ee/GenPending.template
index 15ab7316aabf8dbc0f184c557a4ef69ce3ac2122..dd9aa6052881c69e11a6c1ebe344365e27f0b853 100644
--- a/base/ca/shared/webapps/ca/ee/GenPending.template
+++ b/base/ca/shared/webapps/ca/ee/GenPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Request Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 
diff --git a/base/ca/shared/webapps/ca/ee/GenRejected.template b/base/ca/shared/webapps/ca/ee/GenRejected.template
index 6e0ca836fab730006347129835a358ced30ed94a..5e50506fbc443baab76e76d6fe714e5154e952f1 100644
--- a/base/ca/shared/webapps/ca/ee/GenRejected.template
+++ b/base/ca/shared/webapps/ca/ee/GenRejected.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Request Rejected</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/ee/GenSuccess.template b/base/ca/shared/webapps/ca/ee/GenSuccess.template
index 5e17ecd645d75a52b11fa295ad862d82c4ed6c35..7007b14cb9b9926f036ca45b345e72537b29473c 100644
--- a/base/ca/shared/webapps/ca/ee/GenSuccess.template
+++ b/base/ca/shared/webapps/ca/ee/GenSuccess.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Generic Request Success</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/ee/GenSvcPending.template b/base/ca/shared/webapps/ca/ee/GenSvcPending.template
index e61acbe6ccb7ddc3ac9063876e028c09645c4565..b6217b748e6086a3ac62a292451b3ba887be2330 100644
--- a/base/ca/shared/webapps/ca/ee/GenSvcPending.template
+++ b/base/ca/shared/webapps/ca/ee/GenSvcPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Request Svc Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/ee/GenUnauthorized.template b/base/ca/shared/webapps/ca/ee/GenUnauthorized.template
index b8526cb5946e4f48dcd18450246b91a6a2b28524..e8bf0d311f8190a194dc744cb212319e420224a9 100644
--- a/base/ca/shared/webapps/ca/ee/GenUnauthorized.template
+++ b/base/ca/shared/webapps/ca/ee/GenUnauthorized.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Generic Unauthorized</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/ee/GenUnexpectedError.template b/base/ca/shared/webapps/ca/ee/GenUnexpectedError.template
index d93eb0fd6692b776bfc19592097371650335b243..87477caf66d5bbefd6fa2a8c74c2edd23822e4c8 100644
--- a/base/ca/shared/webapps/ca/ee/GenUnexpectedError.template
+++ b/base/ca/shared/webapps/ca/ee/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA End-Entity Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/ee/ca/EnrollSuccess.template b/base/ca/shared/webapps/ca/ee/ca/EnrollSuccess.template
index d61c747cf7fc7a9f63744a7f43b4c52e164f3600..4365d05fda3d9288dc867d4a70eb83130bad214e 100644
--- a/base/ca/shared/webapps/ca/ee/ca/EnrollSuccess.template
+++ b/base/ca/shared/webapps/ca/ee/ca/EnrollSuccess.template
@@ -21,6 +21,12 @@
 <TITLE>
 CS Enroll Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 
